{% extends "templates/form.njk" %}
{% from "packages/components/warning-callout/macro.njk" import warningCallout %}
{% from "packages/components/button/macro.njk" import button %}
{% from 'packages/components/input/macro.njk' import input %}
{% from "macros/hce-date-input.njk" import hceDateInput %}

{% block formContent %}
  {{ warningCallout({
    "heading": warningCalloutHeading,
    "HTML": warningCalloutHTML,
    "classes": "nhsuk-u-margin-top-0"
  }) }}

  <h1>{{heading}}
    {{ button({
      text: accessKeyButtonText,
      href: accessKeyLink,
      classes: "hce-telesales-blue-button hce-telesales-search-button-float-right",
      preventDoubleClick: true,
      attributes: {
        id: 'access-button'
      }
    }) }}
  </h1>

  <div class="hce-telesales-search-box">
    <h2>{{searchBoxHeading}}</h2>
    <hr>
    <div class="nhsuk-width-container">
      {{ input({
        label: {
          text: lastNameLabel,
          classes: "nhsuk-u-font-weight-bold"
        },
        classes: "nhsuk-input--width-20",
        id: "last-name",
        name: "lastName",
        value: claim.lastName,
        errorMessage: errors | getErrorForField('lastName'),
        autocomplete: "off"
      }) }}

      {{ hceDateInput({
        fieldIdPrefix:'date-of-birth',
        fieldNamePrefix: "dateOfBirth",
        claim: claim,
        errors: errors,
        legend: {
          text: dateOfBirthLabel,
          isPageHeading: true,
          classes: "nhsuk-fieldset__legend--s"
        },
        hint: {
        text: hint
        }
      }) }}

      {{ input({
        label: {
          text: postcodeLabel,
          classes: "nhsuk-u-font-weight-bold"
        },
        classes: "nhsuk-input--width-10",
        id: "postcode",
        name: "postcode",
        value: claim.postcode,
        errorMessage: errors | getErrorForField('postcode'),
        autocomplete: "off"
      }) }}

      <div class="form-group">
        {{ button({
          text: submitButtonText,
          classes: "hce-telesales-blue-button",
          preventDoubleClick: true,
          attributes: {
          id: 'submit-button'
          }
        }) }}

        {{ button({
          href: contextPath,
          text: cancelButtonText,
          classes: "hce-telesales-blue-button",
          preventDoubleClick: true,
          attributes: {
            id: 'cancel-button'
          }
        }) }}
      </div>
    </div>
  </div>
{% endblock %}